> ## Documentation Index
> Fetch the complete documentation index at: https://uiform-codex-generated-frontend-snippets.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Secret

Delete an environment-scoped secret. Workflows that reference the deleted secret
will fail to resolve it at runtime.

```python Python theme={null}
client.secrets.delete_secret("RESEND_API_KEY")
```

```typescript TypeScript theme={null}
await client.secrets.delete_secret("RESEND_API_KEY");
```

```go Go theme={null}
err := client.Secrets.Delete(ctx, "RESEND_API_KEY")
```

```java Java theme={null}
// Delete a secret with the Retab Java client.
```

```bash cURL theme={null}
curl -X DELETE https://api.retab.com/v1/secrets/RESEND_API_KEY \
  -H "Authorization: Bearer $RETAB_API_KEY"
```


## OpenAPI

````yaml DELETE /v1/secrets/{name}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.retab.com
security: []
paths:
  /v1/secrets/{name}:
    delete:
      tags:
        - Secrets
      summary: Secret.Delete
      operationId: delete_secret
      parameters:
        - in: path
          name: name
          required: true
          schema:
            type: string
            pattern: ^[A-Za-z_][A-Za-z0-9_]*$
            title: Name
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
          default: []
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
          default: null
        ctx:
          type: object
          title: Context
          default: {}
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````